<?php

include '../../../script/conexion.php';

$id_pedido = $_POST['id_pedido'];
$referencia_producto = $_POST['referencia_producto'];
$talla = $_POST['talla'];
$cantidad = $_POST['cantidad'];
$estado = $_POST['estado'];

$sqlt = "SELECT * FROM pedido WHERE id='$id_pedido'";
$queryt = $conn->query($sqlt);
$rowt = $queryt->fetch_assoc();

$sql = "INSERT INTO pedido_detalle(id, id_pedido, referencia_producto, talla, cantidad, estado) "
        . "VALUES (NULL,'$id_pedido', '$referencia_producto', '$talla', '$cantidad', '$estado')";
if ($conn->query($sql) === TRUE) {


    $class_referencia = $referencia_producto;
    $class_talla = $talla;

    include '../../../clases-fabrica/class-referencia.php';

    $class_nombre_tercero_cierre = $rowt['nombre_tercero'];
    $class_referencia_cierre = $referencia_producto;
    $class_talla_cierre = $talla;

    include '../../../clases-fabrica/class-cierre.php';

    echo '<script language = javascript>
                    self.location = "../pedido-detalle.php?id_pedido=' . $id_pedido . '&&referencia_producto=' . $referencia_producto . '"
                </script>';
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}
